Loading
0

Sublime下自动添加兼容前缀插件:Autoprefixer

开发中经常需要兼容各种浏览器,IE系列、chrome、Firefox等,所以样式里要添加各种前缀,用Autoprefixer就可以省点力气了。

安装插件autoprefixer步骤:

1、确保Node.js已经安装。

2、下载autoprefixer插件: https://github.com/sindresorhus/sublime-autoprefixer

3、打开sublime ,选择菜单 Preferences >  Browse Packages 将下载的压缩包解压到这

4、设置快捷键,选择菜单Preferences > Key Bindings – User

[
    { "keys": ["ctrl+alt+shift+p"], "command": "autoprefixer" }
]

 

 

可选------------------------

5、默认的是没有兼容IE/opera的-ms/-o,选择菜单:Preferences > Package Settings > Autoprefixer > Settings - User

例子1:为浏览最新版本添加前缀,市场份额大于%,美国份额>5%,ie8和ie7

{
    "browsers": ["last 1 version", "> 10%", "> 5% in US", "ie 8", "ie 7"]
}

例子2:

{
    "browsers": ["last 2 versions","Firefox >= 20"]
}
.a{
    display:flex;
}

输出

.a{
    display:-webkit-flex;
    display:-moz-box;
    display:-ms-flexbox;
    display:flex;
}

参考写法:

last 2 versions 每一个主要浏览器的最后2个版本
last 2 Chrome versions 谷歌浏览器的最后两个版本
> 5% 市场占有量大于5%
> 5% in US 美国市场占有量大于5%
ie 6-8 ie浏览器6-8
Firefox > 20 火狐版本>20
Firefox >= 20 火狐版本>=20
Firefox < 20 火狐<20
Firefox <= 20 火狐<=20
iOS 7 指定IOS 7浏览器

 

转载自:http://blog.csdn.net/lz305263/article/details/51015365

声明:本文为原创,作者为 刘国栋,转载时请保留本声明及附带文章链接:http://www.liuguodong.net/31.html

最后编辑于:2016/12/5作者: 刘国栋

刘国栋

刘国栋个人博客,是记录博主学习和成长的个人博客网站,关注于web前端和WordPress经验与技巧方面的学习和分享,也会分享一些优秀的个人博客模版。

还没回应

发表评论

电子邮件地址不会被公开。 必填项已用*标注

arrow grin ! ? cool roll eek evil razz mrgreen smile oops lol mad twisted wink idea cry shock neutral sad ???

扫一扫关注刘国栋个人博客

扫一扫关注刘国栋个人博客